All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class DictionaryInterfaceToStringTransform

    com.sas.util.transforms.DictionaryInterfaceToStringTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInputOutputInterface, com.sas.util.transforms.TransformInterface, java.io.Serializable

Deprecated. use `StaticDictionaryInterfaceToStringTransform`

    public class DictionaryInterfaceToStringTransform

A transform for converting a `DictionaryInterface` to a `String`

See Also:
  `StringToDictionaryInterfaceTransform`, Serialized Form

Field Summary
`static DictionaryInterfaceToStringTransform` | `defaultInstance` Deprecated. An object which can perform a default transform from `DictionaryInterface` to `String`.

Constructor Summary
`DictionaryInterfaceToStringTransform()` Deprecated. Default constructor.
`DictionaryInterfaceToStringTransform(char delimiter, char separator, boolean alwaysQuote)` Deprecated. Value constructor.

Method Summary

Methods inherited from class com.sas.util.transforms.StaticDictionaryInterfaceToStringTransform
`defaultDelimiterChar, getInputClass, getOutputClass, quote, transform, transform`

Field Detail

### defaultInstance

    public static final DictionaryInterfaceToStringTransform defaultInstance

  Deprecated.
  An object which can perform a default transform from `DictionaryInterface` to `String`.

Constructor Detail

### DictionaryInterfaceToStringTransform

    public DictionaryInterfaceToStringTransform()

  Deprecated.
  Default constructor. Create a transform which converts a `DictionaryInterface` into a `String`, using the default delimiter `','` and always quoting strings.

### DictionaryInterfaceToStringTransform

    public DictionaryInterfaceToStringTransform(char delimiter,
                                                char separator,
                                                boolean alwaysQuote)

  Deprecated.
  Value constructor. Create a transform which converts a `DictionaryInterface` into a `String``, using the specific delimiter and quoting.

  Parameters:
    `delimiter` - character to separate the string items in the result
    `separator` - a separator which appears between the keys and the values
    `alwaysQuote` - if `true`, each string is quoted, else only special strings are quoted.
  `

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.